Subject: bug#17395: GC during idle time becomes fatal

From: Stefan Monnier <[email-masked]>
Date: Sun, 04 May 2014 00:00:52 -0400

> (It is a bug that C-g C-g during GC causes a crash.)

Indeed.  And not one I've heard before.

> Over time, GC takes longer and longer.  Once I had to kill Emacs
> because it went a few minutes without finishing a GC.  A couple of
> times, it crashed saying memory was full.

IOW, the problem is not that the GC is taking longer but that the memory
is filling up with many Lisp objects.  You can try M-x profiler-start
RET mem RET ... use Emacs for a while ... M-x profiler-report.
Tho this will only shows us where memory is allocated, which will
contain lots of places where that memory is later correctly reclaimed.
You can also try the install memory-usage (from GNU ELPA) and then M-x
memory-usage RET.  Again, it won't give us very much info, but might
still be helpful.

        Stefan